<script>
	import { InfoModal } from '$lib/stores';
	import Button from 'flowbite-svelte/Button.svelte';

	let confirmed = $state(false);
	let response = $state({});
</script>

<main class="leading-10">
	<Button color="primary" size="xs" onclick={() => alert('This is an alert!')}>Show alert</Button>
	<Button color="primary" size="xs" onclick={() => (confirmed = confirm('Are you sure?'))}
		>Confirm</Button
	>
	<br />
	Confirm result {confirmed ? 'Accepted' : 'Declined'}
	<br />
	<Button color="primary" size="xs" onclick={() => alert('$Java Exit')}>Exit</Button>
	<br />

	<Button
		color="primary"
		size="xs"
		onclick={() => {
			response = prompt('send-json');

			try {
				response = JSON.parse(response);
			} catch (error) {
				alert(response);
				response = {};
			}
		}}
	>
		Send Data
	</Button>
	{#if response !== null && response !== undefined}
		{response.courseCode} {response.faculty}
	{/if}

	<Button color="primary" size="xs" onclick={() => ($InfoModal = true)}>Show modal</Button>
</main>
